人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

wordpress3 をインストールしようとしたところ

「ファイルが見つかりません。インストールを開始するには wp-config.php ファイルが必要です。お困りでしたら「wp-config.php の編集」 を参照してください。ウィザード形式で wp-config.php ファイルを作成することもできますが、すべてのサーバーにおいて正常に動作するわけではありません。最も安全な方法は手動でファイルを作成することです。」
と表示されてしまいます。

確かにダウンロードしたファイルを解凍した段階で、 wp-config.phpがありません。
http://ja.wordpress.org/releases/
から3.1.2
をダウンロードしています。
(3.0.2でやっても同じでした)

wp-config.phpがはじめからあるダウンロード用ファイル、ご存じないでしょうか。

インストールしようとしている環境:PHP5,Apache2,MySQL5,Windows7Enterprise

●質問者: kohhi
●カテゴリ:コンピュータ ウェブ制作
✍キーワード:config PHP WP かに インストール
○ 状態 :終了
└ 回答数 : 4/4件

▽最新の回答へ

1 ● dusterzero
●23ポイント

wp-config-sample.phpの名前をwp-config.phpに変更して編集し、アップロードします。

http://wordpress.ser8.info/archives/78

◎質問者からの返答

>wp-config-sample.phpの名前をwp-config.phpに変更して編集し、アップロードします。

はい、やりました。

今度は以下のメッセージが出てきてしまいます。

「お使いのサーバのPHPではWordPressに必要なMySQL拡張を利用できないようです。」

お手数おかけしてすいません。


2 ● hiro7days
●23ポイント ベストアンサー

http://wpdocs.sourceforge.jp/wp-config.php_%E3%81%AE%E7%B7%A8%E9...

こちらのページで解決できませんでしょうか?

新規インストール時に wp-config.php を編集するには、次の情報が必須です。

* データベース名: WordPress が使うデータベース名

* データベース・ユーザ名: データベースへのアクセスに使うユーザ名

* データベース・パスワード: データベースへのアクセスに使うパスワード

* データベース・ホスト: データベースサーバのホスト名

まず、自分のデータベースの情報を用意しておきます。

wp-config.phpは、自分で作るものなので、

wp-config.php ファイルは、WordPress のダウンロードファイルの中には存在しません。同梱されている wp-config-sample.php ファイルを見本にして、自分で作成します。

1. 自分の WordPress のルートディレクトリ(フォルダ)にある wp-config-sample.php ファイルを同じディレクトリ内に複製して、ファイル名を wp-config.php に変更します。

2. wp-config.php をテキストエディタで開き、自分の環境に合わせてデータベース設定とセキュリティ・キーの値を書き換えます(その他はオプション)。

3. 書き換え終わったら、もう一度見直しましょう!

* 入力した値の前後に余計な空白が入っていないか?

* 値を囲むシングルクオート(')をうっかり消してしまっていないか?

* ファイルの先頭は も必要ありません(変更履歴 2.8を参照)。

4. ファイルを保存します。

(注) UTF-8 BOMありで保存してはいけません。[1]

を参考に、自分で内容をテキストエディタ等で変更し、

さらに、No1さんの言うように、wp-config-sample.phpの名前をwp-config.phpに名前変更して、

保存しておく必要があります。


3 ● funkybass
●22ポイント

ご質問からすると、サーバーはWindows7Enterpriseなのですね?

もしそうなら、Xamppをインストールしたのですか?

それともPHP、Apache2、MySQL5をそれぞれ独自にインストールしたのですか?

それぞれのインストールしたディレクトリはどこなのですか?

PHPのsafe mode をONにしましたか?

MySQLのデータベースはWordpressのインストールより先に作成しましたか?

データベースはUTF-8 General で作成しましたか?

お答えするにも、不明確な点が多々ありますので問い合わせ欄を使えるようにした方がいいと思います。


4 ● saijyoh_739
●22ポイント

> 「お使いのサーバのPHPではWordPressに必要なMySQL拡張を利用できないようです。」

http://blog.livedoor.jp/nec69/archives/51776607.html

上記ページでは同じエラーで『↑これは,php.iniの書き方が不正なため。php.iniを書き直したら回復した。』だったそうです。

phpがmysqlモジュールを読み込めるようにモジュール配置ディレクトリなどを教えてやれば動くかも知れません。

※ 『"wordpress3" "mysql拡張"』でYahoo検索(検索エンジンは何でも良いと思う)すれば色々見つかります。

エラーメッセージで検索しても有益なページが見つかる事多いですよ。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ